> ## Documentation Index
> Fetch the complete documentation index at: https://docs.deepdub.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get connections for multiple models

> Get autoscaling group information for multiple models at once.



## OpenAPI

````yaml get /concurrent_connections/batch
openapi: 3.0.0
info:
  title: Deepdub API
  description: >-
    Deepdub's Text-to-Speech API enables high-quality, expressive speech
    generation with voice cloning, accent control, and real-time streaming
    capabilities.
  contact:
    email: support@deepdub.ai
  version: '1.0'
servers:
  - url: https://restapi.deepdub.ai/api/v1
    description: Production
security:
  - ApiKeyAuth: []
externalDocs:
  description: OpenAPI
  url: https://restapi.deepdub.ai/api/v1/swagger/index.html
paths:
  /concurrent_connections/batch:
    get:
      tags:
        - Infrastructure
      summary: Get connections for multiple models
      description: Get autoscaling group information for multiple models at once.
      operationId: getConcurrentConnectionsBatch
      parameters:
        - description: API Key
          name: x-api-key
          in: header
          required: true
          schema:
            type: string
            default: dd-00000000000000000000000065c9cbfe
          example: dd-00000000000000000000000065c9cbfe
        - description: Comma-separated list of model IDs
          name: model_ids
          in: query
          required: true
          schema:
            type: string
          example: dd-etts-3.0,dd-etts-2.5
      responses:
        '200':
          description: Batch connection info
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/model.Response'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/model.APIError'
              example:
                success: false
                message: Invalid model IDs
        '401':
          description: Unauthorized — invalid or missing API key
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/model.APIError'
              example:
                success: false
                message: 'Unauthorized: invalid or missing API key'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/model.APIError'
              example:
                success: false
                message: Internal server error
components:
  schemas:
    model.Response:
      description: Standard API success response wrapper
      type: object
      required:
        - success
      properties:
        success:
          description: Whether the operation was successful
          type: boolean
          example: true
        message:
          description: Human-readable status message
          type: string
          example: Operation successful
        data:
          description: Response payload (varies by endpoint)
    model.APIError:
      description: Error response returned for all non-2xx status codes
      type: object
      required:
        - success
        - message
      properties:
        success:
          description: Always false for error responses
          type: boolean
          example: false
        message:
          description: Human-readable error message
          type: string
          example: Invalid request parameters
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: API key for authentication. Must start with `dd-` prefix.

````